def t_1(var=1, prompt=""):
    if var == 1:
        text = """
        Доходности акций двух компаний являются случайными величинами X и Y, имеющими совместное нормальное распределение с центром рассеивания (2; 2) и ковариационной матрицей:
C = | 4  -2 |
    | -2  9 |
Найти P(X > 0 | Y = 0). В каком соотношении нужно приобрести акции этих компаний, чтобы риск (дисперсия) получившегося портфеля был минимальным? Можно ли утверждать, что случайные величины X + Y и 7X - 2Y независимы? Подсказка: если R - доходность портфеля, то R = αX + (1 - α)Y.
Решение:
P(X > 0 | Y = 0): Условное распределение X при Y = 0 также будет нормальным. Найдем параметры этого условного распределения.
E(X|Y=0) = E(X) + Cov(X,Y)/Var(Y) * (0 - E(Y)) = 2 + (-2)/9 * (0 - 2) = 2 + 4/9 = 22/9
Var(X|Y=0) = Var(X) - Cov(X,Y)²/Var(Y) = 4 - (-2)²/9 = 4 - 4/9 = 32/9
Таким образом, X|Y=0 ~ N(22/9; 32/9). Теперь можно найти P(X > 0 | Y = 0), используя функцию стандартного нормального распределения: P(X > 0 | Y=0) = P(Z > (0 - 22/9) / sqrt(32/9)) = P(Z > -22/(3*sqrt(32))) ≈ P(Z > -1.29) ≈ 0.9015 (Значение можно уточнить по таблице или с помощью калькулятора)
Минимизация риска портфеля: Дисперсия портфеля R = αX + (1 - α)Y равна:
Var(R) = α²Var(X) + (1 - α)²Var(Y) + 2α(1 - α)Cov(X,Y) = 4α² + 9(1 - α)² - 4α(1 - α) = 17α² - 22α + 9
Для минимизации дисперсии возьмем производную по α и приравняем к нулю:
d(Var(R))/dα = 34α - 22 = 0 => α = 11/17
Таким образом, нужно вложить 11/17 средств в акции X и 6/17 в акции Y.
Независимость X + Y и 7X - 2Y: Две случайные величины независимы, если их ковариация равна нулю. Найдем ковариацию:
Cov(X + Y, 7X - 2Y) = 7Var(X) - 2Cov(X,Y) + 7Cov(Y,X) - 2Var(Y) = 74 - 2(-2) + 7*(-2) - 2*9 = 28 + 4 - 14 - 18 = 0
Так как ковариация равна нулю, X + Y и 7X - 2Y независимы.
        """
    if var == 2:
        text = """Для случайно выбранного домохозяйства случайные величины X и Y принимают значения, равные доле расходов на продукты питания и алкоголь плюс табак соответственно. Случайный вектор (X, Y) хорошо описывается двумерным нормальным законом распределения с математическим ожиданием (0.45; 0.16) и ковариационной матрицей:
C = | 0.144   -0.09 |
    | -0.09    1     |
Найдите: а) Вероятность того, что домохозяйство тратит более половины своих доходов на питание. б) Вероятность того, что домохозяйство тратит более половины своих доходов на алкогольную и табачную продукцию и продукты питания. в) Ожидаемую долю расходов на алкоголь и табак для домохозяйства, которое тратит на питание четверть своих доходов.
Решение:
а) P(X > 0.5): X ~ N(0.45; 0.144). Стандартизуем: Z = (X - 0.45) / sqrt(0.144) = (X - 0.45) / 0.12. P(X > 0.5) = P(Z > (0.5 - 0.45) / 0.12) = P(Z > 0.417) ≈ 1 - Φ(0.417) ≈ 1 - 0.6615 ≈ 0.3385 (где Φ - функция стандартного нормального распределения).
б) P(X + Y > 0.5): Найдем распределение суммы X + Y. E(X+Y) = E(X) + E(Y) = 0.45 + 0.16 = 0.61. Var(X+Y) = Var(X) + Var(Y) + 2Cov(X,Y) = 0.144 + 1 + 2*(-0.09) = 1.064. X+Y ~ N(0.61; 1.064). Стандартизуем: Z = (X + Y - 0.61) / sqrt(1.064). P(X + Y > 0.5) = P(Z > (0.5 - 0.61) / sqrt(1.064)) = P(Z > -0.106) ≈ Φ(0.106) ≈ 0.542.
в) E(Y|X=0.25): E(Y|X=x) = E(Y) + Cov(X,Y)/Var(X) * (x - E(X)) = 0.16 + (-0.09)/0.144 * (0.25 - 0.45) = 0.16 + (-0.625) * (-0.2) = 0.16 + 0.125 = 0.285.
        """
    if var == 3:
        text = """Плотность распределения случайного вектора (X, Y) имеет вид:
fₓy(x, y) = (1/(2π)) * e^(-(5x² - xy + y²)/2)
Найдите условное математическое ожидание E(X|Y = y).
Решение:
1.	Преобразуем выражение в показателе экспоненты, выделяя полный квадрат относительно x:
5x² - xy + y² = 5(x² - (1/5)xy + y²/5) = 5(x² - (1/5)xy + 1/100 y² - 1/100 y² + y²/5) = 5(x - y/10)² + (19/20)y²
Таким образом, fₓy(x, y) = (1/(2π)) * e^(-(5(x - y/10)² + (19/20)y²)/2) = (1/(2π)) * e^(-5(x - y/10)²/2) * e^(-(19/20)y²/2)
2.	Найдем маргинальную плотность Y:
fᵧ(y) = ∫₋∞^∞ fₓy(x, y) dx = ∫₋∞^∞ (1/(2π)) * e^(-5(x - y/10)²/2) * e^(-(19/20)y²/2) dx = e^(-(19/40)y²) * ∫₋∞^∞ (1/(2π)) * e^(-5(x - y/10)²/2) dx
Заметим, что ∫₋∞^∞ (1/(2π)) * e^(-5(x - y/10)²/2) dx = (1/√(2π/5))∫₋∞^∞√(5)/(√(2π)) e^(-5(x-y/10)²/2)dx = 1/√(2π/5)
Поэтому, fᵧ(y) = (1/√(2π/5)) * e^(-(19/40)y²)
3.	Найдем условную плотность X при Y = y:
fₓ|ᵧ(x|y) = fₓy(x, y) / fᵧ(y) = [(1/(2π)) * e^(-5(x - y/10)²/2) * e^(-(19/20)y²/2)] / [(1/√(2π/5)) * e^(-(19/40)y²)] = (√(5)/(√(2π))) * e^(-5(x - y/10)²/2)
4.	Условная плотность fₓ|ᵧ(x|y) является плотностью нормального распределения с параметрами μ = y/10 и σ² = 1/5.
5.	Следовательно, условное математическое ожидание E(X|Y = y) равно μ, то есть y/10.
E(X|Y = y) = y/10
Таким образом, с исправленной плотностью, условное математическое ожидание E(X|Y = y) равно y/10.
        """
    if var == 4:
        text = """Ежедневное количество нарушений правил дорожного движения в некоторой местности описывается случайной величиной Х, распределенной по биномиальному закону с параметрами n = 500 и p = 0.7. А сумма штрафа (в рублях) каждого нарушения описывается случайной величиной Y, которая принимает значение 600 рублей с вероятностью 0.48, 950 рублей с вероятностью 0.14 и 1700 рублей в остальных случаях. Вычислите ежедневную среднюю сумму выписанных штрафов и ее среднеквадратическое отклонение.
Решение:
1.	Найдем математическое ожидание и дисперсию X: E(X) = n * p = 500 * 0.7 = 350 Var(X) = n * p * (1 - p) = 500 * 0.7 * 0.3 = 105
2.	Найдем математическое ожидание и дисперсию Y: P(Y = 1700) = 1 - 0.48 - 0.14 = 0.38 E(Y) = 600 * 0.48 + 950 * 0.14 + 1700 * 0.38 = 288 + 133 + 646 = 1067 E(Y²) = 600² * 0.48 + 950² * 0.14 + 1700² * 0.38 = 172800 + 126350 + 1094200 = 1393350 Var(Y) = E(Y²) - (E(Y))² = 1393350 - 1067² = 1393350 - 1138489 = 254861
3.	Ежедневная средняя сумма выписанных штрафов равна E(XY). Так как X и Y независимы, E(XY) = E(X)E(Y) = 350 * 1067 = 373450
4.	Дисперсия ежедневной суммы штрафов Var(XY) = E(X²Y²) - (E(XY))². E(X²) = Var(X) + (E(X))² = 105 + 350² = 122605 E(X²Y²) = E(X²)E(Y²) = 122605*1393350 = 170830470750 Var(XY)=170830470750 - 373450^2= 170830470750 - 139464025000 = 31366445750 Среднеквадратическое отклонение: sqrt(Var(XY)) = sqrt(31366445750) ≈ 177105.74
        """
    if var == 5:
        text = """Случайные величины Х и Y независимы и с равной вероятностью принимают значения: 1, 2, 3, 4, 5. Найдите Е(Х|Х > Y) и Var(X|X > Y).
Решение:
1.	Найдем вероятность события X > Y. Всего возможно 5 * 5 = 25 равновероятных исходов. Исходы, где X > Y: (2,1), (3,1), (3,2), (4,1), (4,2), (4,3), (5,1), (5,2), (5,3), (5,4). Итого 10 исходов. P(X > Y) = 10/25 = 2/5.
2.	Найдем условное распределение X при условии X > Y. Возможные значения X при X > Y: 2, 3, 4, 5.
o	P(X=2|X>Y) = P(X=2, X>Y) / P(X>Y) = (1/25) / (2/5) = 1/10
o	P(X=3|X>Y) = P(X=3, X>Y) / P(X>Y) = (2/25) / (2/5) = 1/5
o	P(X=4|X>Y) = P(X=4, X>Y) / P(X>Y) = (3/25) / (2/5) = 3/10
o	P(X=5|X>Y) = P(X=5, X>Y) / P(X>Y) = (4/25) / (2/5) = 2/5
3.	Найдем E(X|X > Y):
E(X|X > Y) = 2*(1/10) + 3*(1/5) + 4*(3/10) + 5*(2/5) = 1/5 + 3/5 + 6/5 + 10/5 = 20/5 = 4
4.	Найдем E(X²|X > Y):
E(X²|X > Y) = 2²*(1/10) + 3²*(1/5) + 4²*(3/10) + 5²*(2/5) = 4/10 + 9/5 + 48/10 + 50/5 = 2/5 + 9/5 + 24/5 + 50/5 = 85/5 = 17
5.	Найдем Var(X|X > Y):
Var(X|X > Y) = E(X²|X > Y) - (E(X|X > Y))² = 17 - 4² = 17 - 16 = 1
Ответ: E(X|X > Y) = 4, Var(X|X > Y) = 1.
        """
    if var == 6:
        text = """1. Ежедневное количество покупателей магазина, совершивших покупку, описывается случайной величиной Х, распределенной по биномиальному закону с параметрами n=800 и p=0.54. А сумма чека (в рублях) каждого из покупателей описывается случайной величиной Ү, распределенной по нормальному закону с параметрами m=4550 и σ=60. Вычислите ежедневную среднюю выручку магазина и ее дисперсию.
Решение:
1.	Найдем математическое ожидание и дисперсию X (количество покупателей): E(X) = n * p = 800 * 0.54 = 432 Var(X) = n * p * (1 - p) = 800 * 0.54 * 0.46 = 198.72
2.	Найдем математическое ожидание и дисперсию Y (сумма чека): E(Y) = m = 4550 Var(Y) = σ² = 60² = 3600
3.	Ежедневная средняя выручка магазина равна E(XY). Так как X и Y независимы, E(XY) = E(X)E(Y) = 432 * 4550 = 1965600
4.	Дисперсия ежедневной выручки Var(XY). Поскольку X и Y независимы, для дисперсии произведения случайных величин справедлива формула:
Var(XY) = E(X²)E(Y²) - (E(X)E(Y))² = (Var(X) + E(X)²) * (Var(Y) + E(Y)²) - (E(X)E(Y))²
Подставим известные значения:
Var(XY) = (198.72 + 432²) * (3600 + 4550²) - (432 * 4550)² Var(XY) = (198.72 + 186624) * (3600 + 20702500) - 1965600² Var(XY) = 186822.72 * 20706100 - 386343360000 Var(XY) = 386007771712 - 386343360000 Var(XY) = 386343360000 - 386007771712 = 335588288
    """
    if var == 7:
        text = """Ежемесячные расходы владельцев А и В описываются случайным вектором (X, Y), (X — расходы владельца А, Y — расходы владельца В), имеющим равномерное распределение в треугольнике, задаваемом ограничениями D = {(x, y): x ≥ 0, y ≥ 0, x + y ≤ 1}. Найдите:
а) Вероятность того, что совокупные расходы превысят половину бюджета, P(X + Y > 1/2); б) Плотность распределения расходов владельца В; в) Вероятность того, что расходы владельца А составили менее трети бюджета, если известно, что владелец А израсходовал более половины семейного бюджета; г) Условную плотность распределения и условное математическое ожидание расходов владельца А, при условии, что владелец В израсходовал половину бюджета; д) Математическое ожидание условного математического ожидания расходов владельца А, то есть E(E(X|Y)); е) Коэффициент корреляции расходов владельца А и владельца В.
Решение:
а) Площадь треугольника D равна 1/2. Площадь области, где X + Y > 1/2, также является треугольником с вершинами (1/2, 1/2), (1, 0), (0, 1) и площадью 1/8. Следовательно, P(X + Y > 1/2) = (1/8) / (1/2) = 1/4 = 0.25
б) Маргинальная плотность Y: fᵧ(y) = ∫₀^(1-y) fₓy(x, y) dx = ∫₀^(1-y) 2 dx = 2(1 - y), 0 ≤ y ≤ 1. (Плотность fxy(x,y) равна 2, так как площадь треугольника 1/2).
в) P(X < 1/3 | X > 1/2) = P(1/2 < X < 1/3) / P(X > 1/2). Событие {1/2 < X < 1/3} невозможно, так как 1/2 > 1/3. Значит, вероятность равна 0.
г) Условная плотность X при Y=1/2: fₓ|ᵧ(x|1/2) = fₓy(x, 1/2) / fᵧ(1/2) = 2 / (2 * (1 - 1/2)) = 2 / 1 = 2, при 0 ≤ x ≤ 1/2. E(X|Y = 1/2) = ∫₀^(1/2) x * 2 dx = [x²]₀^(1/2) = 1/4.
д) E(E(X|Y)). По свойству полного математического ожидания E(E(X|Y)) = E(X). E(X) = ∫₀¹ ∫₀^(1-y) x * 2 dx dy = ∫₀¹ [x²]₀^(1-y) dy = ∫₀¹ (1-y)² dy = ∫₀¹ (1 - 2y + y²) dy = [y - y² + y³/3]₀¹ = 1 - 1 + 1/3 = 1/3.
е) Коэффициент корреляции: Cov(X, Y) = E(XY) - E(X)E(Y). E(XY) = ∫₀¹ ∫₀^(1-y) xy * 2 dx dy = ∫₀¹ [x²y]₀^(1-y) dy = ∫₀¹ (1-y)²y dy = ∫₀¹ (y - 2y² + y³) dy = [y²/2 - 2y³/3 + y⁴/4]₀¹ = 1/2 - 2/3 + 1/4 = 1/12. E(X) = 1/3, E(Y) = 1/3 (в силу симметрии). Cov(X, Y) = 1/12 - (1/3)(1/3) = 1/12 - 1/9 = (3-4)/36 = -1/36.
Var(X) = E(X²) - (E(X))². E(X²) = ∫₀¹ ∫₀^(1-y) x² * 2 dx dy = ∫₀¹ [2x³/3]₀^(1-y) dy = (2/3)∫₀¹ (1-y)³ dy = (2/3)[-(1-y)⁴/4]₀¹ = 1/6 Var(X) = 1/6 - (1/3)² = 1/6 - 1/9 = 1/18. Var(Y) = 1/18 (в силу симметрии).
ρ = Cov(X, Y) / (sqrt(Var(X)) * sqrt(Var(Y))) = (-1/36) / (sqrt(1/18) * sqrt(1/18)) = (-1/36) / (1/18) = -1/2.
        """
    if var == 8:
        text = """1. Плотность распределения случайного вектора (X, Y) имеет вид:
fₓy(x, y) = (1/π) * e^(-(x²/2) - xy - (5y²/2))
Найдите условное математическое ожидание E(X|Y = y).
Решение:
1.	Преобразуем выражение в показателе экспоненты, выделяя полный квадрат относительно x:
-(x²/2) - xy - (5y²/2) = -(1/2)(x² + 2xy + 5y²) = -(1/2)(x² + 2xy + y² - y² + 5y²) = -(1/2)((x + y)² + 4y²) = -(1/2)(x + y)² - 2y²
Таким образом, fₓy(x, y) = (1/π) * e^(-(x + y)²/2) * e^(-2y²)
2.	Найдем маргинальную плотность Y:
fᵧ(y) = ∫₋∞^∞ fₓy(x, y) dx = ∫₋∞^∞ (1/π) * e^(-(x + y)²/2) * e^(-2y²) dx = e^(-2y²) * ∫₋∞^∞ (1/π) * e^(-(x + y)²/2) dx
Заметим, что ∫₋∞^∞ (1/π) * e^(-(x + y)²/2) dx = (1/√(2π))∫₋∞^∞√(2)/π e^(-(x+y)²/2)dx = 1/√(π/2)
fᵧ(y) = (1/√(π/2))e^(-2y²) = √(2/π) * e^(-2y²)
3.	Найдем условную плотность X при Y = y:
fₓ|ᵧ(x|y) = fₓy(x, y) / fᵧ(y) = [(1/π) * e^(-(x + y)²/2) * e^(-2y²)] / [√(2/π) * e^(-2y²)] = (1/√(π/2)) * e^(-(x + y)²/2)
4.	Условная плотность fₓ|ᵧ(x|y) является плотностью нормального распределения с параметрами μ = -y и σ² = 1.
5.	Следовательно, условное математическое ожидание E(X|Y = y) равно μ, то есть -y.
E(X|Y = y) = -y
        """
    if var == 9:
        text = """Количество книг, проданных в день, описывается дискретной случайной величиной Y, распределенной по биномиальному закону с параметрами n=260 и p=0.88. При этом выручка книжного магазина за каждую j-ую покупку книги зависит от жанра (фантастика, детективы, новеллы) и описывается случайной величиной Yⱼ, принимающей значения 500, 300, 100 рублей с вероятностями соответственно: 0.67, 0.3, 0.13. Вычислите значения для среднего (Е) и дисперсии суммарного ежедневного дохода.
Решение:
1.	Найдем математическое ожидание и дисперсию Y (количество проданных книг): E(Y) = n * p = 260 * 0.88 = 228.8 Var(Y) = n * p * (1 - p) = 260 * 0.88 * 0.12 = 27.7
2.	Найдем математическое ожидание и дисперсию Yⱼ (выручка за одну книгу): E(Yⱼ) = 500 * 0.67 + 300 * 0.3 + 100 * 0.03 = 335 + 90 + 3 = 428 E(Yⱼ²) = 500² * 0.67 + 300² * 0.3 + 100² * 0.03 = 167500 + 27000 + 300 = 194800 Var(Yⱼ) = E(Yⱼ²) - (E(Yⱼ))² = 194800 - 428² = 194800 - 183184 = 11616
3.	Суммарный ежедневный доход можно представить как S = Σⱼ Yⱼ, где сумма берется по всем проданным книгам. Так как количество проданных книг Y является случайной величиной, то для нахождения E(S) и Var(S) воспользуемся формулами для случайного числа слагаемых: E(S) = E(Y) * E(Yⱼ) = 228.8 * 428 = 97966.4 Var(S) = E(Y) * Var(Yⱼ) + Var(Y) * (E(Yⱼ))² = 228.8 * 11616 + 27.7 * 428² = 2660524.8 + 5085353.2 = 7745878
        """
    if var == 10:
        text = """Найдите верхнюю 5-процентную точку распределения Х, если Y принимает с равной вероятностью значения 20 и 80, а при фиксированном Y случайная величина Х равномерно распределена на отрезке [0; у].
Решение:
Верхняя 5-процентная точка для X означает такое значение x₀.₀₅, что P(X > x₀.₀₅) = 0.05.
P(X > x₀.₀₅) = P(X > x₀.₀₅ | Y=20)P(Y=20) + P(X > x₀.₀₅ | Y=80)P(Y=80)
Так как Y принимает значения 20 и 80 с равной вероятностью, P(Y=20) = P(Y=80) = 1/2.
X равномерно распределен на [0; Y], поэтому:
P(X > x₀.₀₅ | Y=20) = (20 - x₀.₀₅)/20, если 0 ≤ x₀.₀₅ ≤ 20; 0, если x₀.₀₅ > 20. P(X > x₀.₀₅ | Y=80) = (80 - x₀.₀₅)/80, если 0 ≤ x₀.₀₅ ≤ 80; 0, если x₀.₀₅ > 80.
Подставим в исходное уравнение:
0.05 = (1/2)(20 - x₀.₀₅)/20 + (1/2)(80 - x₀.₀₅)/80
0.1 = (20 - x₀.₀₅)/20 + (80 - x₀.₀₅)/80
8 + 0.1x₀.₀₅ = 20 - x₀.₀₅ + 80 - x₀.₀₅
8 + 0.1x₀.₀₅ = 100 - 2x₀.₀₅
2.1x₀.₀₅ = 92
x₀.₀₅ ≈ 43.81
        """
    if var == 11:
        text = """
Количество опоздавших на самолет пассажиров для каждого рейса описывается случайной величиной Х, распределенной по закону Пуассона с параметром λ = 6.
При этом стоимость билета, который не подлежит возврату, описывается нормально            распределенной случайной величиной У с параметрами m=5250 и o=140.7.
Вычислите среднюю сумму стоимости пропавших билетов и её 
среднеквадратическое отклонение, приходящиеся на каждый рейс
Дано:
Количество опоздавших пассажиров X ~ Poisson(λ = 6)
Стоимость билета Y ~ N(5250, 140.7^2)

Решение:

1. Математическое ожидание суммы стоимости пропавших билетов:
E(S) = E(X) * E(Y)
E(X) = λ = 6
E(Y) = 5250
E(S) = 6 * 5250 = 31500

2. Дисперсия суммы стоимости пропавших билетов:
Var(S) = E(X) * Var(Y) + (E(Y))^2 * Var(X)
Var(X) = λ = 6
Var(Y) = 140.7^2 = 19796.49
Var(S) = 6 * 19796.49 + 5250^2 * 6 = 165493778,94

3. Среднеквадратическое отклонение суммы стоимости пропавших билетов:
σ(S) = sqrt(Var(S)) = sqrt(165493778,94) ≈ 12864,43854

Ответ:
Средняя сумма стоимости пропавших билетов: 31500
Среднеквадратическое отклонение: 12864,43854
    """
    if var == 12:
        text = """В первом броске участвуют 105 несимметричных монет. Во втором броске участвуют только те монеты, на которых в первом броске выпал "орел". Известно, что вероятность выпадения "орла" для данных несимметричных монет равна 0,65. Найдите: 1) математическое ожидание числа "орлов", выпавших во втором броске; 2) дисперсию условного математического ожидания числа "орлов", выпавших во втором броске, относительно числа "орлов", выпавших в первом броске.
Решение:
1.	Математическое ожидание числа "орлов" в первом броске (X):
X ~ Bin(n=105, p=0.65)
E(X) = n * p = 105 * 0.65 = 68.25
2.	Условное математическое ожидание числа "орлов" во втором броске (Y) при заданном числе "орлов" в первом броске (x):
Y|X=x ~ Bin(n=x, p=0.65)
E(Y|X=x) = x * 0.65
3.	Математическое ожидание числа "орлов" во втором броске (E(Y)):
E(Y) = E[E(Y|X)] = E[0.65X] = 0.65 * E(X) = 0.65 * 68.25 = 44.3625
4.	Дисперсия условного математического ожидания числа "орлов" во втором броске относительно числа "орлов" в первом броске (Var[E(Y|X)]):
Var[E(Y|X)] = Var[0.65X] = 0.65² * Var(X)
Var(X) = n * p * (1 - p) = 105 * 0.65 * 0.35 = 23.9625
Var[E(Y|X)] = 0.65² * 23.9625 ≈ 10.13
Ответ: 1) 44.3625; 2) 10.13
        """
    if var == 13:
        text = """Ежедневное количество нарушений правил дорожного движения в некоторой местности описывается случайной величиной X, распределенной по биномиальному закону с параметрами n = 400 и p = 0.59. А сумма штрафа (в рублях) каждого нарушения описывается случайной величиной Y, которая принимает значение 500 рублей с вероятностью 0.62, 1000 рублей с вероятностью 0.12 и 3000 рублей в остальных случаях. Вычислите ежедневную среднюю сумму выписанных штрафов и ее среднеквадратическое отклонение.
Решение:
1.	Характеристики случайной величины X (количество нарушений):
o	Математическое ожидание (среднее): E(X) = n * p = 400 * 0.59 = 236
o	Дисперсия: Var(X) = n * p * (1 - p) = 400 * 0.59 * (1 - 0.59) = 400 * 0.59 * 0.41 = 96.76
2.	Характеристики случайной величины Y (сумма штрафа за одно нарушение):
o	Вероятность для 3000 рублей: 1 - 0.62 - 0.12 = 0.26
o	Математическое ожидание (средний штраф за одно нарушение): E(Y) = 500 * 0.62 + 1000 * 0.12 + 3000 * 0.26 = 310 + 120 + 780 = 1210 рублей
o	Для вычисления дисперсии Var(Y) сначала найдем E(Y²): E(Y²) = 500² * 0.62 + 1000² * 0.12 + 3000² * 0.26 = 155000 + 120000 + 2340000 = 2615000
o	Теперь дисперсия: Var(Y) = E(Y²) - (E(Y))² = 2615000 - 1210² = 2615000 - 1464100 = 1150900
3.	Ежедневная сумма выписанных штрафов (S):
Ежедневная сумма штрафов S равна сумме штрафов за каждое нарушение. Поскольку количество нарушений X — случайная величина, а штраф за каждое нарушение Y — тоже случайная величина, и они независимы, математическое ожидание и дисперсию S можно найти по формулам для случайного числа слагаемых:
o	Математическое ожидание (средняя ежедневная сумма штрафов): E(S) = E(X) * E(Y) = 236 * 1210 = 285560 рублей
o	Дисперсия ежедневной суммы штрафов: Var(S) = E(X) * Var(Y) + Var(X) * (E(Y))² = 236 * 1150900 + 96.76 * 1210² = 271512400 + 141682316 = 413194716
4.	Среднеквадратическое отклонение ежедневной суммы штрафов:
SD(S) = √Var(S) = √413194716 ≈ 20327.2 рублей
Ответ:
•	Ежедневная средняя сумма выписанных штрафов: 285560 рублей.
•	Среднеквадратическое отклонение ежедневной суммы выписанных штрафов: ≈ 20327.2 рубля.
        """
    if var == 14:
        text = """Определение случайной величины S
S - это сумма значений, выпавших на игральной кости до выпадения шестерки. Это означает, что последний бросок (шестерка) в S не учитывается.
2. Вероятность выпадения любого числа (кроме 6)
Для стандартной шестигранной кости вероятность выпадения любого числа от 1 до 5 равна 1/6. Вероятность выпадения 6 равна также 1/6.
3. Математическое ожидание одного броска (до выпадения 6)
Обозначим X - результат одного броска до выпадения 6. Тогда математическое ожидание E(X) будет равно:
E(X) = (1/5) * (1 + 2 + 3 + 4 + 5) = (1/5) * 15 = 3
Почему мы делим на 5? Потому что мы рассматриваем только случаи, когда 6 не выпала, то есть 5 возможных исходов.
4. Математическое ожидание количества бросков до выпадения 6
Обозначим N - количество бросков до выпадения 6. N имеет геометрическое распределение с параметром p = 1/6 (вероятность успеха, то есть выпадения 6). Математическое ожидание геометрического распределения равно:
E(N) = 1/p = 1/(1/6) = 6
Однако, поскольку мы считаем количество бросков до выпадения 6, мы должны вычесть 1. Таким образом, среднее количество бросков до выпадения 6 равно 5.
5. Математическое ожидание суммы S
Теперь мы можем найти математическое ожидание суммы S. Поскольку каждый бросок (до выпадения 6) в среднем дает 3, а количество таких бросков в среднем равно 5, то:
E(S) = E(X) * E(N) = 3 * 5 = 15
6. Дисперсия одного броска (до выпадения 6)
Дисперсия одного броска X (до выпадения 6) вычисляется следующим образом:
E(X²) = (1/5) * (1² + 2² + 3² + 4² + 5²) = (1/5) * 55 = 11
D(X) = E(X²) - (E(X))² = 11 - 3² = 11 - 9 = 2
7. Дисперсия количества бросков до выпадения 6
Дисперсия геометрического распределения равна:
D(N) = (1-p)/p² = (1 - 1/6) / (1/6)² = (5/6) / (1/36) = 30
8. Дисперсия суммы S
Поскольку броски независимы, дисперсия суммы равна сумме дисперсий:
D(S) = E(N) * D(X) + (E(X))² * D(N) = 5 * 2 + 3² * 30 = 10 + 9 * 30 = 10 + 270 = 280
        """
    if var == 15:
        text = """2. 

        """
    if var == 16:
        text = """2. 

        """
    if var == 17:
        text = """2. 

        """
    if var == 18:
        text = """2. 

        """
    if var == 19:
        text = """2. 

        """
    if var == 20:
        text = """2. 

        """

    if var == 22:
        text = """
Количество опоздавших на самолет пассажиров для каждого рейса описывается случайной величиной Х, распределенной по закону Пуассона с параметром λ = 7.
При этом стоимость билета, который не подлежит возврату, описывается нормально
распределенной случайной величиной У с параметрами m=6150 и o=133.7.
Вычислите среднюю сумму стоимости пропавших билетов и её 
среднеквадратическое отклонение, приходящиеся на каждый рейс
Дано:
Количество опоздавших пассажиров X ~ Poisson(λ = 7)
Стоимость билета Y ~ N(6150, 133.7^2)

Решение:

1. Математическое ожидание суммы стоимости пропавших билетов:
E(S) = E(X) * E(Y)
E(X) = λ = 7
E(Y) = 6150
E(S) = 7 * 6150 = 43050

2. Дисперсия суммы стоимости пропавших билетов:
Var(S) = E(X) * Var(Y) + (E(Y))^2 * Var(X)
Var(X) = λ = 7
Var(Y) = 133.7^2 = 17875,69
Var(S) = 7 * 17875,69 + 6150^2 * 7 = 264882629,83

3. Среднеквадратическое отклонение суммы стоимости пропавших билетов:
σ(S) = sqrt(Var(S)) = sqrt(264882629,83) ≈ 16275,2152

Ответ:
Средняя сумма стоимости пропавших билетов: 43050
Среднеквадратическое отклонение: 16275,2152
    """
    if var == 23:
        text = """2. 

        """
    if var == 24:
        text = """Определение случайной величины S
S - это сумма значений, выпавших на игральной кости до выпадения шестерки. Это означает, что последний бросок (шестерка) в S не учитывается.
2. Вероятность выпадения любого числа (кроме 6)
Для стандартной шестигранной кости вероятность выпадения любого числа от 1 до 5 равна 1/6. Вероятность выпадения 6 равна также 1/6.
3. Математическое ожидание одного броска (до выпадения 6)
Обозначим X - результат одного броска до выпадения 6. Тогда математическое ожидание E(X) будет равно:
E(X) = (1/5) * (1 + 2 + 3 + 4 + 5) = (1/5) * 15 = 3
Почему мы делим на 5? Потому что мы рассматриваем только случаи, когда 6 не выпала, то есть 5 возможных исходов.
4. Математическое ожидание количества бросков до выпадения 6
Обозначим N - количество бросков до выпадения 6. N имеет геометрическое распределение с параметром p = 1/6 (вероятность успеха, то есть выпадения 6). Математическое ожидание геометрического распределения равно:
E(N) = 1/p = 1/(1/6) = 6
Однако, поскольку мы считаем количество бросков до выпадения 6, мы должны вычесть 1. Таким образом, среднее количество бросков до выпадения 6 равно 5.
5. Математическое ожидание суммы S
Теперь мы можем найти математическое ожидание суммы S. Поскольку каждый бросок (до выпадения 6) в среднем дает 3, а количество таких бросков в среднем равно 5, то:
E(S) = E(X) * E(N) = 3 * 5 = 15
6. Дисперсия одного броска (до выпадения 6)
Дисперсия одного броска X (до выпадения 6) вычисляется следующим образом:
E(X²) = (1/5) * (1² + 2² + 3² + 4² + 5²) = (1/5) * 55 = 11
D(X) = E(X²) - (E(X))² = 11 - 3² = 11 - 9 = 2
7. Дисперсия количества бросков до выпадения 6
Дисперсия геометрического распределения равна:
D(N) = (1-p)/p² = (1 - 1/6) / (1/6)² = (5/6) / (1/36) = 30
8. Дисперсия суммы S
Поскольку броски независимы, дисперсия суммы равна сумме дисперсий:
D(S) = E(N) * D(X) + (E(X))² * D(N) = 5 * 2 + 3² * 30 = 10 + 9 * 30 = 10 + 270 = 280
"""
    if var == 25:
        text = """2. 

        """
    if var == 26:
        text = """2. 

        """
    if var == 27:
        text = """
Количество опоздавших на самолет пассажиров для каждого рейса описывается случайной величиной Х, распределенной по закону Пуассона с параметром λ = 7.
При этом стоимость билета, который не подлежит возврату, описывается нормально
распределенной случайной величиной У с параметрами m=4800 и o=270.2.
Вычислите среднюю сумму стоимости пропавших билетов и её 
среднеквадратическое отклонение, приходящиеся на каждый рейс
Дано:
Количество опоздавших пассажиров X ~ Poisson(λ = 7)
Стоимость билета Y ~ N(4800, 270.2^2)

Решение:

1. Математическое ожидание суммы стоимости пропавших билетов:
E(S) = E(X) * E(Y)
E(X) = λ = 7
E(Y) = 4800
E(S) = 7 * 4800 = 33600

2. Дисперсия суммы стоимости пропавших билетов:
Var(S) = E(X) * Var(Y) + (E(Y))^2 * Var(X)
Var(X) = λ = 7
Var(Y) = 270.2^2 = 73008.04
Var(S) = 7 * 73008.04 + 4800^2 * 7 = 161791056.28

3. Среднеквадратическое отклонение суммы стоимости пропавших билетов:
σ(S) = sqrt(Var(S)) = sqrt(161791056.28) ≈ 12719.71133

Ответ:
Средняя сумма стоимости пропавших билетов: 33600
Среднеквадратическое отклонение: 12719.71133
    """
    if var == 28:
        text = """2. 

        """
    if var == 29:
        text = """2. 

        """
    if var == 30:
        text = """2. 

        """
    return text