def t_3(var):
    if var == 1:
        text = """
        Пусть X₁, X₂, ..., Xₙ - результаты n повторных независимых наблюдений над случайной величиной X, имеющей экспоненциальное распределение с неизвестным параметром θ, θ > 0. Вычислить информацию Фишера одного наблюдения X(1) = min(X₁, X₂, ..., Xₙ).
Решение:
Плотность экспоненциального распределения: f(x; θ) = (1/θ)exp(-x/θ), x > 0.
1.	Найдем распределение минимума n независимых экспоненциальных случайных величин. Функция распределения минимума:
Fₓ₍₁₎(x) = 1 - P(X₁ > x, X₂ > x, ..., Xₙ > x) = 1 - ΠP(Xᵢ > x) = 1 - exp(-nx/θ)
Плотность распределения минимума:
fₓ₍₁₎(x) = dFₓ₍₁₎(x)/dx = (n/θ)exp(-nx/θ)
Это тоже экспоненциальное распределение с параметром θ/n.
2.	Найдем информацию Фишера для одного наблюдения X(1):
ln fₓ₍₁₎(x; θ) = ln(n/θ) - nx/θ
d(ln fₓ₍₁₎(x; θ))/dθ = -1/θ + nx/θ²
d²(ln fₓ₍₁₎(x; θ))/dθ² = 1/θ² - 2nx/θ³
I(θ) = -E[d²(ln fₓ₍₁₎(x; θ))/dθ²] = -[1/θ² - 2nE(X(1))/θ³]
E(X(1)) = θ/n (для экспоненциального распределения)
I(θ) = -[1/θ² - 2n(θ/n)/θ³] = -[1/θ² - 2/θ²] = 1/θ²
        """
    if var == 26:
        text = """1.
        Монету подбрасывают п раз. Вероятность выпадения герба при каждом
        подбрасывании равна р. В ходе опыта монета выпала гербом n1 раз. Показать,
        несмещенность оценки вероятности @ (тетта) = р. Выпадения герба в каждом опыте.
        n1 ~ Bin(n, p)
        E(n1) = n*p
        Var(n1) = np(1-p)
        @ = p
        @^ = n1/n
        E(@^) = E(n1)/n = np/n = @
        """

    if var == 24:
        text = """
        Проверить, является ли эмпирическая дисперсия несмещенной оценкой для
        o2x случайной величины, если нет, то «исправить» её, то есть указать исправленную оценку, которая была бы уже несмещённой для неизвестного параметра.
        Эмпирическая дисперсия, часто обозначаемая как s², вычисляется по формуле:
        
        s² = (1/n) * Σ(xi - x̄)²
        
        где:
        
        n - размер выборки
        xi - i-тое значение в выборке
        x̄ - среднее значение выборки
        Несмещенная оценка дисперсии (исправленная выборочная дисперсия)
        
        Эмпирическая дисперсия является смещенной оценкой дисперсии генеральной совокупности. Это означает, что математическое ожидание эмпирической дисперсии не равно истинной дисперсии генеральной совокупности. Чтобы получить несмещенную оценку, используется следующая формула:
        
        s²_испр = (1/(n-1)) * Σ(xi - x̄)²
        
        Эта оценка часто обозначается как S² или σ̂². Разница между этими двумя формулами заключается в знаменателе: n для эмпирической дисперсии и (n-1) для несмещенной.
        
        Почему используется (n-1)?
        
        Деление на (n-1) вместо n называется "поправкой Бесселя". Интуитивно это связано с тем, что при вычислении эмпирической дисперсии мы используем выборочное среднее x̄, которое само по себе является оценкой истинного среднего генеральной совокупности. Использование x̄ "связывает" одну степень свободы, поэтому для получения несмещенной оценки необходимо уменьшить количество степеней свободы на 1.
        
        Более формальное объяснение основано на математическом ожидании эмпирической дисперсии:
        
        E(s²) = ((n-1)/n) * σ²
        
        где σ² - истинная дисперсия генеральной совокупности. Из этого уравнения видно, что:
        
        σ² = (n/(n-1)) * E(s²)
        
        Таким образом, умножая эмпирическую дисперсию на n/(n-1), мы получаем несмещенную оценку σ².
        
        Практическое применение
        
        В большинстве случаев, когда мы работаем с выборками и хотим оценить дисперсию генеральной совокупности, мы используем несмещенную оценку дисперсии (с делением на n-1). Это особенно важно при малых размерах выборки, где разница между n и (n-1) становится существенной. При больших размерах выборки разница между этими двумя оценками становится незначительной.
        Пример
        
        Предположим, у нас есть выборка: 2, 4, 6, 8.
        Вычисляем среднее: x̄ = (2+4+6+8)/4 = 5
        Вычисляем эмпирическую дисперсию: s² = (1/4) * [(2-5)² + (4-5)² + (6-5)² + (8-5)²] = (1/4) * [9 + 1 + 1 + 9] = 5
        Вычисляем несмещенную дисперсию: s²_испр = (1/3) * [9 + 1 + 1 + 9] = 20/3 ≈ 6.67
        В данном примере видно, что несмещенная дисперсия больше эмпирической.
        
        Итог
        
        Эмпирическая дисперсия является смещенной оценкой дисперсии генеральной совокупности. Для получения несмещенной оценки необходимо использовать формулу с делением на (n-1). Эта "исправленная" оценка является более точной оценкой истинной дисперсии, особенно при малых размерах выборки."""
    if var == 2:
        text = """Вычислить информацию Фишера в модели Γ(λ, θ), где f(x; θ) = (x^(λ-1) * e^(-x/θ)) / (θ^λ * Γ(λ)), x > 0, и 0 при x ≤ 0.
Решение:
1.	Запишем логарифм функции правдоподобия:
ln f(x; θ) = (λ - 1)ln(x) - x/θ - λln(θ) - ln(Γ(λ))
2.	Найдем первую производную по θ:
d(ln f(x; θ))/dθ = x/θ² - λ/θ
3.	Найдем вторую производную по θ:
d²(ln f(x; θ))/dθ² = -2x/θ³ + λ/θ²
4.	Вычислим математическое ожидание второй производной:
I(θ) = -E[d²(ln f(x; θ))/dθ²] = E[2x/θ³ - λ/θ²] = (2/θ³)E[x] - λ/θ²
5.	Найдем математическое ожидание E[x]:
Для Гамма-распределения Γ(λ, θ) математическое ожидание E[x] = λθ.
6.	Подставим E[x] в выражение для информации Фишера:
I(θ) = (2/θ³) * (λθ) - λ/θ² = 2λ/θ² - λ/θ² = λ/θ²
Таким образом, информация Фишера для Гамма-распределения Γ(λ, θ) равна:
I(θ) = λ/θ²
        """
    if var == 3:
        text = """Пусть X₁, X₂, ..., Xₙ — результаты n повторных независимых наблюдений над случайной величиной X, имеющей распределение Лапласа с неизвестными параметрами θ, θ ∈ R и λ > 0 (напомним плотность распределения и основные характеристики этого распределения: f(x; θ) = (1/(2λ))e^(-|x-θ|/λ); E(X) = θ; Var(X) = 2λ²). Доказать, что X̄ = (1/n)ΣXᵢ является несмещенной, но не эффективной оценкой параметра θ для любого λ > 0.
Решение:
1.	Несмещенность:
E(X̄) = E[(1/n)ΣXᵢ] = (1/n)ΣE(Xᵢ) = (1/n) * nθ = θ. Значит, X̄ является несмещенной оценкой θ.
2.	Неэффективность:
Найдем информацию Фишера для одного наблюдения:
ln f(x; θ) = -ln(2λ) - |x - θ|/λ
Производная ln f(x; θ) по θ не существует в точке x = θ. Поэтому, для распределения Лапласа, обычный подход к нахождению информации Фишера через вторую производную не работает. Однако, можно показать, что дисперсия X̄ больше, чем граница Рао-Крамера.
Дисперсия X̄: Var(X̄) = Var[(1/n)ΣXᵢ] = (1/n²)ΣVar(Xᵢ) = (1/n²) * n * 2λ² = 2λ²/n
Граница Рао-Крамера для распределения Лапласа равна λ²/n. Таким образом, дисперсия X̄ в два раза больше границы Рао-Крамера, что доказывает неэффективность X̄.
        """
    if var == 4:
        text = """Для эмпирической дисперсии показать справедливость формулы:
σ̂² = X̄² - (X̄)² где X̄²=(1/n)Σ(Xᵢ²)
Решение:
Мы хотим показать, что:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)² = X²‾ - (X̄)²
где:
•	σ̂² - выборочная дисперсия
•	Xᵢ - i-е значение выборки
•	X̄ - среднее значение выборки (X̄ = (1/n) * Σᵢ Xᵢ)
•	X²‾ - среднее квадратов выборки (X²‾ = (1/n) * Σᵢ Xᵢ²)
Вывод:
Начнем с определения выборочной дисперсии:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)²
Раскроем квадрат разности:
σ̂² = (1/n) * Σᵢ (Xᵢ² - 2XᵢX̄ + X̄²)
Теперь разделим сумму на три части:
σ̂² = (1/n) * (Σᵢ Xᵢ² - Σᵢ 2XᵢX̄ + Σᵢ X̄²)
Вынесем константы за знаки сумм:
σ̂² = (1/n) * (Σᵢ Xᵢ² - 2X̄Σᵢ Xᵢ + X̄²Σᵢ 1)
Упростим суммы:
•	Σᵢ Xᵢ² = n * X²‾ (по определению среднего квадрата)
•	Σᵢ Xᵢ = nX̄ (по определению среднего)
•	Σᵢ 1 = n
Подставим эти упрощения в формулу:
σ̂² = (1/n) * (n * X²‾ - 2X̄ * nX̄ + X̄² * n)
Сократим n:
σ̂² = X²‾ - 2X̄² + X̄²
σ̂² = X²‾ - X̄²
или
σ̂² = X²‾ - (X̄)²
        """
    if var == 5:
        text = """Проверить, является ли эмпирический второй начальный момент v₂ несмещенной оценкой для неизвестного теоретического начального момента второго порядка случайной величины V₂.
Решение:
Эмпирический второй начальный момент: v₂ = (1/n) * Σᵢ Xᵢ²
Теоретический второй начальный момент: E(V²)
Необходимо проверить, выполняется ли равенство: E(v₂) = E(V²)
E(v₂) = E[(1/n) * Σᵢ Xᵢ²] = (1/n) * Σᵢ E(Xᵢ²)
Если Xᵢ - выборка из распределения V, то E(Xᵢ²) = E(V²).
E(v₂) = (1/n) * n * E(V²) = E(V²)
Таким образом, эмпирический второй начальный момент является несмещенной оценкой для теоретического второго начального момента.
        """
    if var == 6:
        text = """Пусть X₁, X₂, ..., Xₙ - выборка из равномерного распределения Unif([0; θ]) с неизвестным параметром θ>0. В качестве оценки параметра θ рассматривается θ̃=(n+1)X(1). Будет ли эта оценка несмещённой и состоятельной?
Решение:
X(1) – минимальный элемент выборки.
Плотность X(1): fₓ₍₁₎(x) = (n/θ^n) * x^(n-1), 0 < x < θ
E(X(1)) = ∫₀^θ x * (n/θ^n) * x^(n-1) dx = (n/θ^n) * ∫₀^θ x^n dx = (n/θ^n) * [x^(n+1)/(n+1)]₀^θ = nθ/(n+1)
E(θ̃) = E((n+1)X(1)) = (n+1) * E(X(1)) = (n+1) * nθ/(n+1) = nθ
Оценка θ̃ не является несмещенной, так как E(θ̃) ≠ θ. Чтобы получить несмещенную оценку, нужно рассмотреть θ̂ = ((n+1)/n)X(1).
Для проверки состоятельности нужно показать, что lim(n→∞) Var(θ̃) = 0.
Var(X(1)) = E(X(1)²) - (E(X(1)))² = nθ²/(n+2) - (nθ/(n+1))² = nθ²/(n+2) - n²θ²/(n+1)² = θ²n/((n+1)²(n+2))
Var(θ̃) = (n+1)² * Var(X(1)) = θ²n/(n+2)
lim(n→∞) Var(θ̃) = lim(n→∞) θ²n/(n+2) = ∞
Поскольку дисперсия не стремится к нулю, оценка θ̃ не является состоятельной.
        """
    if var == 7:
        text = """Вычислить информацию Фишера в модели Γ(λ, θ), где f(x; θ) = (x^(λ-1) * e^(-x/θ)) / (θ^λ * Γ(λ)), x > 0, и 0 при x ≤ 0.
Решение:
1.	Запишем логарифм функции правдоподобия:
ln f(x; θ) = (λ - 1)ln(x) - x/θ - λln(θ) - ln(Γ(λ))
2.	Найдем первую производную по θ:
d(ln f(x; θ))/dθ = x/θ² - λ/θ
3.	Найдем вторую производную по θ:
d²(ln f(x; θ))/dθ² = -2x/θ³ + λ/θ²
4.	Вычислим математическое ожидание второй производной:
I(θ) = -E[d²(ln f(x; θ))/dθ²] = E[2x/θ³ - λ/θ²] = (2/θ³)E[x] - λ/θ²
5.	Найдем математическое ожидание E[x]:
Для Гамма-распределения Γ(λ, θ) математическое ожидание E[x] = λθ.
6.	Подставим E[x] в выражение для информации Фишера:
I(θ) = (2/θ³) * (λθ) - λ/θ² = 2λ/θ² - λ/θ² = λ/θ²
Таким образом, информация Фишера для Гамма-распределения Γ(λ, θ) равна:
I(θ) = λ/θ²
        """
    if var == 8:
        text = """3. Значения признаков Х и У заданы на множестве Ω = {1,2,..., 100} таблицей частот:
	Y=10	Y=15	Y=18
X=180	20	16	14
X=325	17	12	21
Из Ω без возвращения извлекаются 15 элементов. Пусть X̄ и Ȳ — средние значения признаков в выборочной совокупности. Найдите Cov(X̄, Ȳ).
Решение:
1.	Найдем E(X), E(Y), E(XY) для генеральной совокупности:
o	E(X) = (180*(20+16+14) + 325*(17+12+21))/100 = (18050 + 32550)/100 = (9000 + 16250)/100 = 252.5
o	E(Y) = (10*(20+17) + 15*(16+12) + 18*(14+21))/100 = (1037 + 1528 + 18*35)/100 = (370+420+630)/100 = 1420/100 = 14.2
o	E(XY) = (1801020 + 1801516 + 1801814 + 3251017 + 3251512 + 3251821)/100 = (36000+43200+45360+55250+58500+122850)/100=361160/100=3611.6
2.	Найдем Cov(X, Y) для генеральной совокупности:
Cov(X, Y) = E(XY) - E(X)E(Y) = 3611.6 - 252.5 * 14.2 = 3611.6 - 3585.5 = 26.1
3.	Найдем Cov(X̄, Ȳ) для выборки без возвращения размером n = 15:
Cov(X̄, Ȳ) = ((N - n) / (N - 1)) * (1/n) * Cov(X, Y) = ((100 - 15) / (100 - 1)) * (1/15) * 26.1 = (85/99)*(1/15)*26.1 ≈ 1.48
        """
    if var == 9:
        text = """Для эмпирической дисперсии показать справедливость формулы:
σ̂² = X̄² - (X̄)² где X̄²=(1/n)Σ(Xᵢ²)
Решение:
Мы хотим показать, что:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)² = X²‾ - (X̄)²
где:
•	σ̂² - выборочная дисперсия
•	Xᵢ - i-е значение выборки
•	X̄ - среднее значение выборки (X̄ = (1/n) * Σᵢ Xᵢ)
•	X²‾ - среднее квадратов выборки (X²‾ = (1/n) * Σᵢ Xᵢ²)
Вывод:
Начнем с определения выборочной дисперсии:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)²
Раскроем квадрат разности:
σ̂² = (1/n) * Σᵢ (Xᵢ² - 2XᵢX̄ + X̄²)
Теперь разделим сумму на три части:
σ̂² = (1/n) * (Σᵢ Xᵢ² - Σᵢ 2XᵢX̄ + Σᵢ X̄²)
Вынесем константы за знаки сумм:
σ̂² = (1/n) * (Σᵢ Xᵢ² - 2X̄Σᵢ Xᵢ + X̄²Σᵢ 1)
Упростим суммы:
•	Σᵢ Xᵢ² = n * X²‾ (по определению среднего квадрата)
•	Σᵢ Xᵢ = nX̄ (по определению среднего)
•	Σᵢ 1 = n
Подставим эти упрощения в формулу:
σ̂² = (1/n) * (n * X²‾ - 2X̄ * nX̄ + X̄² * n)
Сократим n:
σ̂² = X²‾ - 2X̄² + X̄²
σ̂² = X²‾ - X̄²
или
σ̂² = X²‾ - (X̄)²
        """
    if var == 10:
        text = """Проверить, является ли эмпирический второй начальный момент v₂ несмещенной оценкой для неизвестного теоретического начального момента второго порядка случайной величины V₂.
Решение:
Эмпирический второй начальный момент: v₂ = (1/n) * Σᵢ Xᵢ²
Теоретический второй начальный момент: E(V²)
Необходимо проверить, выполняется ли равенство: E(v₂) = E(V²)
E(v₂) = E[(1/n) * Σᵢ Xᵢ²] = (1/n) * Σᵢ E(Xᵢ²)
Если Xᵢ - выборка из распределения V, то E(Xᵢ²) = E(V²).
E(v₂) = (1/n) * n * E(V²) = E(V²)
Таким образом, эмпирический второй начальный момент является несмещенной оценкой для теоретического второго начального момента.
    """
    if var == 11:
        text = """3. Показать, что E(Ŝ²) = σₓ² (Ŝ² = (n/(n-1))σ̂ₓ² = (n/(n-1))(1/n)Σₖ(Xₖ - X̄)²)
Решение:
Нам нужно показать, что математическое ожидание несмещенной выборочной дисперсии Ŝ² равно дисперсии генеральной совокупности σₓ².
1.	Начнем с определения несмещенной выборочной дисперсии:
Ŝ² = (1/(n-1)) * Σₖ (Xₖ - X̄)²
2.	Раскроем квадрат разности:
Ŝ² = (1/(n-1)) * Σₖ (Xₖ² - 2XₖX̄ + X̄²)
3.	Разделим сумму на три части:
Ŝ² = (1/(n-1)) * (Σₖ Xₖ² - 2X̄Σₖ Xₖ + Σₖ X̄²)
4.	Вынесем константы за знаки сумм:
Ŝ² = (1/(n-1)) * (Σₖ Xₖ² - 2X̄ * Σₖ Xₖ + X̄² * Σₖ 1)
5.	Упростим суммы:
o	Σₖ Xₖ² = n * X²‾
o	Σₖ Xₖ = nX̄
o	Σₖ 1 = n
6.	Подставим упрощения в формулу:
Ŝ² = (1/(n-1)) * (n * X²‾ - 2X̄ * nX̄ + nX̄²) Ŝ² = (1/(n-1)) * (n * X²‾ - 2nX̄² + nX̄²) Ŝ² = (n/(n-1)) * (X²‾ - X̄²)
7.	Теперь найдем математическое ожидание Ŝ²:
E(Ŝ²) = E[(n/(n-1)) * (X²‾ - X̄²)] = (n/(n-1)) * [E(X²‾) - E(X̄²)]
8.	Известно, что E(X²‾) = σₓ² + μ² и E(X̄²) = Var(X̄) + (E(X̄))² = (σₓ²/n) + μ². Подставим эти значения:
E(Ŝ²) = (n/(n-1)) * [(σₓ² + μ²) - (σₓ²/n + μ²)] E(Ŝ²) = (n/(n-1)) * (σₓ² - σₓ²/n) E(Ŝ²) = (n/(n-1)) * σₓ² * (1 - 1/n) E(Ŝ²) = (n/(n-1)) * σₓ² * ((n-1)/n) E(Ŝ²) = σₓ²
        """
    if var == 12:
        text = """Пусть X₁, X₂, ..., Xₙ - выборка из равномерного распределения Unif([0; θ]) с неизвестным параметром θ > 0. В качестве оценки параметра θ рассматривается:
θ̂ = ((n+1)/n) * X₍ₙ₎, где X₍ₙ₎ - максимальный элемент выборки. Будет ли эта оценка несмещённой? А состоятельной?
Решение:
1.	Несмещенность:
Плотность максимального элемента X₍ₙ₎: fₓ₍ₙ₎(x) = (n/θⁿ) * xⁿ⁻¹, 0 < x < θ
E(X₍ₙ₎) = ∫₀^θ x * (n/θⁿ) * xⁿ⁻¹ dx = (n/θⁿ) * ∫₀^θ xⁿ dx = (n/θⁿ) * [xⁿ⁺¹/(n+1)]₀^θ = nθ/(n+1)
E(θ̂) = E(((n+1)/n) * X₍ₙ₎) = ((n+1)/n) * E(X₍ₙ₎) = ((n+1)/n) * (nθ/(n+1)) = θ
Следовательно, оценка θ̂ является несмещенной.
2.	Состоятельность:
Для состоятельности необходимо показать, что lim(n→∞) Var(θ̂) = 0.
Var(X₍ₙ₎) = E(X₍ₙ₎²) - (E(X₍ₙ₎))²
E(X₍ₙ₎²) = ∫₀^θ x² * (n/θⁿ) * xⁿ⁻¹ dx = (n/θⁿ) * [xⁿ⁺²/(n+2)]₀^θ = nθ²/(n+2)
Var(X₍ₙ₎) = nθ²/(n+2) - (nθ/(n+1))² = θ²n/((n+1)²(n+2))
Var(θ̂) = ((n+1)/n)² * Var(X₍ₙ₎) = θ²(n+1)/(n(n+2))
lim(n→∞) Var(θ̂) = lim(n→∞) θ²(n+1)/(n(n+2)) = 0
Следовательно, оценка θ̂ является состоятельной.
Ответ: Оценка θ̂ является несмещенной и состоятельной.
        """
    if var == 13:
        text = """Пусть θ̂ = T(X₁, ..., Xₙ) – оценка параметра θ, а b = E(θ̂) - θ – смещение. Показать, что Δ = Var(θ̂) + b², где Δ = E[(θ̂ - θ)²] – среднеквадратичная ошибка оценки (MSE - Mean Squared Error).
Доказательство:
Нам нужно доказать, что MSE = Var(θ̂) + (Bias(θ̂))².
MSE = E[(θ̂ - θ)²]
Распишем квадрат разности:
MSE = E[(θ̂ - E(θ̂) + E(θ̂) - θ)²]
Сгруппируем слагаемые:
MSE = E[((θ̂ - E(θ̂)) + (E(θ̂) - θ))²]
Раскроем скобки, используя формулу (a + b)² = a² + 2ab + b²:
MSE = E[(θ̂ - E(θ̂))² + 2(θ̂ - E(θ̂))(E(θ̂) - θ) + (E(θ̂) - θ)²]
Распишем математическое ожидание суммы как сумму математических ожиданий:
MSE = E[(θ̂ - E(θ̂))²] + 2E[(θ̂ - E(θ̂))(E(θ̂) - θ)] + E[(E(θ̂) - θ)²]
Рассмотрим второе слагаемое:
2E[(θ̂ - E(θ̂))(E(θ̂) - θ)] = 2(E(θ̂) - θ)E[(θ̂ - E(θ̂))]
Так как E(θ̂ - E(θ̂)) = E(θ̂) - E(θ̂) = 0, то и все второе слагаемое равно 0.
Остается:
MSE = E[(θ̂ - E(θ̂))²] + (E(θ̂) - θ)²
Первое слагаемое – это дисперсия θ̂: Var(θ̂) = E[(θ̂ - E(θ̂))²]
Второе слагаемое – это квадрат смещения: b² = (E(θ̂) - θ)²
Таким образом:
MSE = Var(θ̂) + b²
Δ = Var(θ̂) + b²
Что и требовалось доказать.
        """
    if var == 14:
        text = """Пусть X₁, X₂, ..., Xₙ – выборка из распределения с плотностью:
f(x) = 8e^(8(θ-x)), при x≥θ, 0, при x<θ.
Проверьте, является ли оценка θ̂ = X̄ - 1/8 несмещенной оценкой параметра θ?
Решение:
1.	Найдем E(X): E(X) = ∫θ^∞ x * 8e^(8(θ-x)) dx
Сделаем замену u = x - θ, тогда x = u + θ и dx = du: E(X) = ∫₀^∞ (u + θ) * 8e^(-8u) du = ∫₀^∞ 8ue^(-8u) du + θ∫₀^∞ 8e^(-8u) du
Первый интеграл – это E(экспоненциального распределения с λ=8) = 1/8. Второй интеграл равен 1. E(X) = 1/8 + θ
2.	Найдем E(θ̂): E(θ̂) = E(X̄ - 1/8) = E(X̄) - 1/8
Так как E(X̄) = E(X), то: E(θ̂) = E(X) - 1/8 = (1/8 + θ) - 1/8 = θ
Ответ: Оценка θ̂ = X̄ - 1/8 является несмещенной оценкой параметра θ.
        """
    if var == 15:
        text = """2. 

        """
    if var == 16:
        text = """2. 

        """
    if var == 17:
        text = """2. 

        """
    if var == 18:
        text = """2. 

        """
    if var == 19:
        text = """2. 

        """
    if var == 20:
        text = """2. 

        """
    if var == 23:
        text = """2. 

        """
    if var == 25:
        text = """2. 

        """
    if var == 26:
        text = """2. 

        """
    if var == 28:
        text = """2. 

        """
    if var == 29:
        text = """2. 

        """
    if var == 30:
        text = """Для эмпирической дисперсии показать справедливость формулы:
σ̂² = X̄² - (X̄)² где X̄²=(1/n)Σ(Xᵢ²)
Решение:
Мы хотим показать, что:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)² = X²‾ - (X̄)²
где:
•	σ̂² - выборочная дисперсия
•	Xᵢ - i-е значение выборки
•	X̄ - среднее значение выборки (X̄ = (1/n) * Σᵢ Xᵢ)
•	X²‾ - среднее квадратов выборки (X²‾ = (1/n) * Σᵢ Xᵢ²)
Вывод:
Начнем с определения выборочной дисперсии:
σ̂² = (1/n) * Σᵢ (Xᵢ - X̄)²
Раскроем квадрат разности:
σ̂² = (1/n) * Σᵢ (Xᵢ² - 2XᵢX̄ + X̄²)
Теперь разделим сумму на три части:
σ̂² = (1/n) * (Σᵢ Xᵢ² - Σᵢ 2XᵢX̄ + Σᵢ X̄²)
Вынесем константы за знаки сумм:
σ̂² = (1/n) * (Σᵢ Xᵢ² - 2X̄Σᵢ Xᵢ + X̄²Σᵢ 1)
Упростим суммы:
•	Σᵢ Xᵢ² = n * X²‾ (по определению среднего квадрата)
•	Σᵢ Xᵢ = nX̄ (по определению среднего)
•	Σᵢ 1 = n
Подставим эти упрощения в формулу:
σ̂² = (1/n) * (n * X²‾ - 2X̄ * nX̄ + X̄² * n)
Сократим n:
σ̂² = X²‾ - 2X̄² + X̄²
σ̂² = X²‾ - X̄²
или
σ̂² = X²‾ - (X̄)²
        """
    return text